org.apache.lucene.codecs.intblock

## Interface FixedIntBlockIndexInput.BlockReader

Enclosing class:
  FixedIntBlockIndexInput

    public static interface FixedIntBlockIndexInput.BlockReader

Interface for fixed-size block decoders.

Implementations should decode into the buffer in `readBlock()`.

### Method Summary

Methods
`void` `readBlock()`

### Method Detail

#### readBlock

    void readBlock()
                   throws IOException

Throws:
  `IOException`